Jump to content
Sign in to follow this  
Edward

Korean Air War Complete Mod

Recommended Posts

Korean Air War Complete Mod


This is a complete Korean Air War Campaign and COMPLETE PLANE SET AND OBJECT SET for Strike FIghters Project 1.

 

No more hunting and installing aircraft. ALL NEEDED AIRCRAFT ARE ALL INCLUDED IN THIS MOD, TOGETHER WITH ALL OBJECTS NEEDED.

 

You can fly the F-86 Sabre, F-84 Thunderjet, F-80 Shooting Star, F-51D Mustang, AD-4 Skyraider, F9F-5 Pantherjet, F2H-2 Banshee, and F4U-4 Corsair for the USAF, USN, USMC, and RAAF. Carrier Campaigns included.

 

ALL YOU MUST DO to utilize the campaign and all the aircraft is

 

1. Make a fresh install of SFP:1 and Patch it to SP3.2, then delete EVERY SINGLE stock aircraft.

 

2. Put the latest version of the Weapons Pack in the Objects folder,

 

3. Put the Korea terrain file in the Terrain folder, and

 

4. Unzip the provided files to a Temporary Directory. Copy the Campaigns, Flight, Menu, Objects, and Sounds folders to the Strike Fighters Directory, letting them overwrite the existing files.

 

Then you can go fly, and smash the Communists.

 

Have Fun,

 

S!

Edward


 

Share this post


Link to post
Share on other sites

The SP 3.2 version of SFP1 (patched up to WoV level) was one of the worst.

The flight models were hosed at transonic speeds and both friendly and enemy AI were almost complete idiots.

The SP 2a (last revision before WoV) AI and flight models were generally better.

The 083006 version (patched up to WoE) has AI almost as good as SP2a and much better flight models and has all the new features introduced by WoV and WOE (carriers and clouds).

The latest Oct/Nov 2008 version has much better avionics, ECM, and AI, but degrades some of the flight models.

 

Unfortunately, this mod was built around the worst revision since the original Walmart pre-release.

The air war in Korea didn't depend too much on radar/ecm and most of the mods available were compatible with 083006, so I suggest trying to make this mod work with that revision.

Of course, if you are like me, you want the much better dogfighting AI and range-only radar/lead-computing gunsights that come with the Oct 2008 upgrade and SF2.

It would be nice if someone would rebuild this mod to be 100% compatible with the latest SFP1 and SF2 versions of the game.

Share this post


Link to post
Share on other sites

The SP 3.2 version of SFP1 (patched up to WoV level) was one of the worst.

The flight models were hosed at transonic speeds and both friendly and enemy AI were almost complete idiots.

The SP 2a (last revision before WoV) AI and flight models were generally better.

The 083006 version (patched up to WoE) has AI almost as good as SP2a and much better flight models and has all the new features introduced by WoV and WOE (carriers and clouds).

The latest Oct/Nov 2008 version has much better avionics, ECM, and AI, but degrades some of the flight models.

 

Unfortunately, this mod was built around the worst revision since the original Walmart pre-release.

The air war in Korea didn't depend too much on radar/ecm and most of the mods available were compatible with 083006, so I suggest trying to make this mod work with that revision.

Of course, if you are like me, you want the much better dogfighting AI and range-only radar/lead-computing gunsights that come with the Oct 2008 upgrade and SF2.

It would be nice if someone would rebuild this mod to be 100% compatible with the latest SFP1 and SF2 versions of the game.

 

It's too bad when I 1st bought SFG it already was patched to WOV standards. I sure would like to try the SP2a version.

 

O, I wasn't aware there was flight model improvement between the SP3.2 patch and 083006 version. They felt the same to me.

Share this post


Link to post
Share on other sites

Hi Everyone. I don,t have a working link for the SP3 download. I tried CA & TW both. Also what weapons pack do I download?dntknw.gif

thanks!

Share this post


Link to post
Share on other sites

Thanks hgbn,but when I try the link all I get is page not found for patch 3.2. I can get 3.1 but not 3.2 can I use a different patch?

Share this post


Link to post
Share on other sites

Long time since I have messed around in the old series but I think you could safely jump to 08.30.06 patch if my memory serves me correct.

Share this post


Link to post
Share on other sites

Ok I will try that. Thank's for your time and the heads up for KAW for SF2.

I appreciate all your help.Salute.gif

Share this post


Link to post
Share on other sites

You're welcome

Share this post


Link to post
Share on other sites

No new version for WOE (first generation)? Some among us have old PCs...

Share this post


Link to post
Share on other sites

No new version for WOE (first generation)? Some among us have old PCs...

 

Are you seriously suggesting that modders make two versions of everything? With the 'first generation' version just for those with old PC's?

 

It's time to move on and, besides, you can use the Knowledge Base to convert SF2 stuff back into SF1.

Share this post


Link to post
Share on other sites

Just to stop any "differences of opinion discussions" before they start, ....

 

With references to the KAW Terrain, there is ONLY one version ... built to 08 1stGen standards. It's then UPconverted to SF2, by 5 simple text edits. Everything else about the terrain, groundobjects are at 08 standards. Some of the new aircraft, however, are being built for SF2. Some will have the new bump-mapping feature, and destroyed models.

 

Again, for those of us on XP/DX9 we won't be able to see the new 'effects', but they are still 100% usable, just with some restrictions.

 

Like many of you, I too am handicaped by XP and DX9, with no possible hope of EVER upgrading as an entirely new computer would needed, and for somebody with no money, no job and little hope of getting one, this is the best that can be done. I totally agree ... it's f***ed up beyond all recall, but that's how it is. I don't like it, I just have to live it. This has been a great bone of contention, but has been resolved, as best we can.

 

Things are easily down-converted; if I can do, so can anyone else with a few minutes, and text editor.

Rest assured, I WILL make sure there's instructions for down-converting, even if I have to write a sepearte readme for it.

 

wrench

kevin stein

Share this post


Link to post
Share on other sites

No problem, Spinners. I have edited in some degree all my Thirdwire installs, so doesnt matters too much...

Thank you, Wrench. You are a gentlemen. New planes???? Yummm!!!

Share this post


Link to post
Share on other sites

5 that come to mind right off....

Can't say which ones; but Monty's Skyraider (except for FM tweeks) is looking better than ever, with all new animations and general LOD clean ups and such like* (and, yes, I'll let this one slip .. it also gets a new, 100% accurate cockpit, so my Skyhawk-hack job will be replaced by perfection)

 

wrench

kevin stein

 

 

*special thanks again to MontyCZ for giving me the MAX files to pass on to the 'Fixers'

Share this post


Link to post
Share on other sites

I have this working in SFG with the 2008 patch. The problem is that the Panther Campaign doesn't work because there is no Aircraft Carrier, and the aircraft is just floating on the water. 

Could someone tell me what the file name of the Aircraft Carrier is, and whether it should be in or outside the Ground Objects folder. Same question goes for the Ground Objects data file.

The readme says just put it in the Objects Folder, and I have, but no Carrier shows up.

Maybe I just have the files in the wrong place.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×

Important Information

By using this site, you agree to our Terms of Use, Privacy Policy, and We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue..